Dataset
========

.. autoclass:: magic_pdf.data.dataset.PageableData
   :members:
   :inherited-members:
   :show-inheritance:


.. autoclass:: magic_pdf.data.dataset.Dataset
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.dataset.ImageDataset
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.dataset.PymuDocDataset
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.dataset.Doc
   :members:
   :inherited-members:
   :show-inheritance:
